NOTE - DEPOSIT COMMAND FILE TO ENTER NEW DEPOSITS
*   
REMARK ENTER DEPOSIT AMOUNT OF 0 TO EXIT
*  - initialize date value
STORE '01/01/81' TO C:DAT
DO WHILE T
  ? 
  ? 
  *  - reading deposit entries
  INPUT "Amount of Deposit            " TO C:AMT
  *  - if deposit amount equals 0, exit command file
  IF C:AMT=0
     RETURN
  ENDIF
  STORE C:DAT TO OLD:DATE
  *  - read date of deposit
  ACCEPT "Date of Deposit as MM/DD/YY  " TO C:DAT
  *  - if date is blank, use current date
  IF C:DAT=' '
    STORE OLD:DATE TO C:DAT
  ENDIF
  *  - ask if all fields are correct
  INPUT "ARE ALL FIELDS CORRECT ?      " TO GO:NOGO
  *  - test for correct data
  IF .NOT.GO:NOGO
    LOOP
  ENDIF
  *  - put blank card into database file
  APPEND BLANK
  *  - put deposit data into database structure
  REPLACE NO WITH 0,TO WITH 'DEPOSIT',AMT WITH C:AMT
  REPLACE DATE WITH C:DAT,CAN WITH F
ENDDO
